
Application: gvSIG desktop - gvSIG bugs #312
Add table, change properties table and restore defaults, no effect / botón restore defaults sin efecto 
en ventana de propiedades de tabla a añadir
02/13/2012 10:35 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Description

En:
setting properties at "explorer_parameters" window (tested add a table), "restore defaults" button has no effect.

Es:
Al presionar el botón "retore defaults" en la ventana de propiedades del archivo a añadir (probado con tablas), no hay ningún efecto
identificable.

detected testing
org.gvsig.app.document.table.app.mainplugin
Add table
Add table, change properties table and restore defaults

History
#1 - 05/10/2012 08:20 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 05/30/2012 02:32 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-alpha6

#3 - 06/13/2012 11:39 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 06/13/2012 03:53 PM - Juan Lucas Domínguez
- Target version changed from 2.0.0-alpha6 to 2.0.0-rc1

#5 - 06/13/2012 04:08 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#6 - 07/06/2012 01:47 PM - Juan Lucas Domínguez
- Status changed from New to In progress

Joaquin and I discussed this and thought that it does not make sense to "restore defaults" because there are not default values available (the default
values of the feature type are not useful here)

A simple solution is not showing the "Restore defaults" button. For example, we can add a parameter to the constructor:

public DynObjectEditor(DynObject parameters, boolean show_restore_defaults) {
...

And decide in each case if it makes sense to show that button.

#7 - 07/06/2012 02:05 PM - Cesar Ordiñana

Si, sino tiene sentido se quita el botón, al menos para este caso, y ya está.

En cuanto al constructor, para afectar lo menos posible yo añadiría un nuevo contructor que sea llamado por el antiguo con valor false en el segundo
parámetro.

#8 - 07/10/2012 08:45 AM - Juan Lucas Domínguez
- Status changed from In progress to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

gvsig-desktop:r38547
Removed "Restore defaults" button as it does not make much sense. Can be added explicitly in other cases.

#9 - 09/03/2012 11:50 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
